
{*******************************************************}
{                                                       }
{       Borland Delphi Visual Component Library         }
{                                                       }
{       Copyright (c) 1997,98 Inprise Corporation       }
{                                                       }
{*******************************************************}

unit dbconsts;

interface

resourcestring
  SInvalidFieldSize = 'Tamanho de campo invlido';
  SInvalidFieldKind = 'FieldKind invlido';
  SInvalidFieldRegistration = 'Invalid field registration';
  SUnknownFieldType = 'Campo ''%s''  de um tipo desconhecido';
  SFieldNameMissing = 'Faltando nome do campo';
  SDuplicateFieldName = 'Nome de campo duplicado ''%s''';
  SFieldNotFound = 'Campo ''%s'' no encontrado';
  SFieldAccessError = 'Impossvel acessar o campo ''%s'' como tipo %s';
  SFieldValueError = 'Valor invlido para o campo ''%s''';
  SFieldRangeError = '%g no  um valor vlido para o campo ''%s''. O intervalo permitido  de %g at %g';
  SInvalidIntegerValue = '''%s'' no  um valor inteiro vlido para o campo ''%s''';
  SInvalidBoolValue = '''%s'' no  um valor lgico vlido para o campo ''%s''';
  SInvalidFloatValue = '''%s'' no  um valor de ponto flutuante vlido para o campo ''%s''';
  SFieldTypeMismatch = 'Type mismatch for field ''%s'', expecting: %s actual: %s';
  SFieldSizeMismatch = 'Size mismatch for field ''%s'', expecting: %d actual: %d';

  SInvalidVarByteArray = 'Tipo variante ou tamanho invlido para o campo ''%s''';
  SFieldOutOfRange = 'Valor do campo ''%s'' est fora do intervalo';
  SBCDOverflow = '(Overflow)';
  SFieldRequired = 'No  permitido deixar o campo ''%s'' em branco';
  SDataSetMissing = 'Campo ''%s'' faltando DataSet';
  SInvalidCalcType = 'Campo ''%s'' no pode ser um campo calculado ou de procura';
  SFieldReadOnly = 'Campo ''%s'' no pode ser modificado';
  SFieldIndexError = 'Index de campo fora do intervalo';
  SNoFieldIndexes = 'No h ndice atualmente ativo';
  SNotIndexField = 'Campo ''%s'' no est indexado e no pode ser modificado';
  SIndexFieldMissing = 'Cannot access index field ''%s''';
  SDuplicateIndexName = 'Nome de ndice duplicado ''%s''';
  SNoIndexForFields = 'No h ndice para os campos ''%s''';
  SIndexNotFound = 'ndice ''%s'' no encontrado';
  SDuplicateName = 'Nome duplicado ''%s'' em %s';

  SCircularDataLink = 'Ligaes circulares de Dados no so permitidas';
  SLookupInfoError = 'Informao de busca para o campo ''%s'' est incompleta';
  SDataSourceChange = 'DataSource no pode ser modificado';
  SNoNestedMasterSource = 'Nested datasets cannot have a MasterSource';
  SDataSetOpen = 'Impossvel esta operao em um conjunto de dados aberto';
  SNotEditing = 'Conjunto de dados no est em modo de edio ou insero';
  SDataSetClosed = 'Impossvel esta operao em um conjunto de dados fechado';
  SDataSetEmpty = 'Impossvel esta operao em um conjunto de dados vazio';
  SDataSetReadOnly = 'Impossvel modificar um conjunto de dados somente para leitura';
  SNestedDataSetClass = 'Nested dataset must inherit from %s';
  SExprTermination = 'Expresso de filtro terminada incorretamente';
  SExprNameError = 'Nome de campo no terminado';
  SExprStringError = 'String constante no terminada';
  SExprInvalidChar = 'Caractere invlido na expresso de filtro: ''%s''';
  SExprNoLParen = '''('' esperado, %s encontrado';

  SExprNoRParen = ''')'' esperado, %s encontrado';
  SExprNoRParenOrComma = ''')'' ou '','' esperado, %s encontrado';
  SExprExpected = 'Expresso esperada, %s encontrado';
  SExprBadField = 'Campo ''%s'' no pode ser usado em uma expresso de filtro';
  SExprBadNullTest = 'NULL somente permitido com ''='' e ''<>''';
  SExprRangeError = 'Constante fora do intervalo';
  SExprNotBoolean = 'Campo ''%s'' no  do tipo lgico';
  SExprIncorrect = 'Expresso de filtro formada incorretamente';
  SExprNothing = 'nothing';
  SExprTypeMis = 'Type mismatch in expression';
  SExprBadScope = 'Operation cannot mix aggregate value with record-varying value';
  SExprNoArith = 'Aritmtica no  suportada em expresso de filtro';
  SExprNotAgg = 'Expression is not an aggregate expression';
  SExprBadConst = 'Constante no  do tipo correto %s';
  SExprNoAggFilter = 'Aggregate expressions not allowed in filters';

  SExprEmptyInList = 'IN predicate list may not be empty';
  SInvalidKeywordUse = 'Invalid use of keyword';
  STextFalse = 'False';
  STextTrue = 'True';
  SParameterNotFound = 'Parmetro ''%s'' no encontrado';
  SInvalidVersion = 'Unable to load bind parameters';
  SParamTooBig = 'Parmetro ''%s'', no pode salvar dados acima de %d bytes';
  SBadFieldType = 'Field ''%s'' is of an unsupported type';
  SAggActive = 'Property may not be modified while aggregate is active';
  SProviderSQLNotSupported = 'SQL not supported: %s';
  SProviderExecuteNotSupported = 'Execute not supported: %s';
  SExprNoAggOnCalcs = 'Field ''%s'' is not the correct type of calculated field to be used in an aggregate, use an internalcalc';
  SRecordChanged = 'Registro alterado por outro usurio';

  { DBCtrls }
  SFirstRecord = 'Primeiro';
  SPriorRecord = 'Anterior';
  SNextRecord = 'Prximo';
  SLastRecord = 'ltimo';
  SInsertRecord = 'Novo';
  SDeleteRecord = 'Excluir';
  SEditRecord = 'Alterar';
  SPostEdit = 'Salvar Alteraes';
  SCancelEdit = 'Cancelar Alteraes';
  SRefreshRecord = 'Reler os Dados';
  SDeleteRecordQuestion = 'Excluir registro?';
  SDeleteMultipleRecordsQuestion = 'Excluir todos os registros selecionados?';
  SRecordNotFound = 'Registro no encontrado';
  SDataSourceFixed = 'Operao no permitida em um DBCtrlGrid';

  SNotReplicatable = 'Este controle no pode ser usado em um DBCtrlGrid';
  SPropDefByLookup = 'Property already defined by lookup field';
  STooManyColumns = 'Grade requisitada para exibir mais de 256 colunas';

  { DBLogDlg }
  SRemoteLogin = 'Remote Login';

  { DBOleEdt }
  SDataBindings = 'Data Bindings...';

implementation

end.
