
{*******************************************************}
{                                                       }
{       Borland Delphi Runtime Library                  }
{                                                       }
{       Copyright (C) 1995,99 Inprise Corporation       }
{                                                       }
{*******************************************************}

unit SysConst;

interface

resourcestring
  SUnknown = '<unknown>';
  SInvalidInteger = '''%s'' no  um valor inteiro vlido';
  SInvalidFloat = '''%s'' no  um valor de ponto flutuante vlido';
  SInvalidDate = '''%s'' no  uma data vlida';
  SInvalidTime = '''%s'' no  uma hora vlida';
  SInvalidDateTime = '''%s'' no  data e hora vlida';
  STimeEncodeError = 'Parmetro invlido para codificar hora';
  SDateEncodeError = 'Parmetro invlido para codificar data';
  SOutOfMemory = 'Falta de memria';
  SInOutError = 'Erro de E/S %d';
  SFileNotFound = 'Arquivo no encontrado';
  SInvalidFilename = 'Nome de arquivo invlido';
  STooManyOpenFiles = 'Too many open files';
  SAccessDenied = 'Acesso negado ao arquivo';
  SEndOfFile = 'Read beyond end of file';
  SDiskFull = 'Disco cheio';
  SInvalidInput = 'Entrada numrica invlida';
  SDivByZero = 'Diviso por zero';
  SRangeError = 'Range check error';
  SIntOverflow = 'Valor inteiro muito alto (Integer overflow)';
  SInvalidOp = 'Operao invlida com valor de ponto flutuante';
  SZeroDivide = 'Diviso de valor de ponto flutuante por zero';
  SOverflow = 'Floating point overflow';
  SUnderflow = 'Floating point underflow';
  SInvalidPointer = 'Operao invlida com ponteiro';
  SInvalidCast = 'Invalid class typecast';
  SAccessViolation = 'Violao de acesso no endereo %p. %s do endereo %p';
  SStackOverflow = 'Stack overflow';
  SControlC = 'Control-C hit';
  SPrivilege = 'Privileged instruction';
  SOperationAborted = 'Operao abortada';
  SException = 'Exceo %s no mduto %s em %p.'#$0A'%s%s';
  SExceptTitle = 'Erro da aplicao';
  SInvalidFormat = 'Formato ''%s'' invlido ou incompatvel com argumento';
  SArgumentMissing = 'Nenhum argumento para formato ''%s''';
  SInvalidVarCast = 'Invalid variant type conversion';
  SInvalidVarOp = 'Invalid variant operation';
  SDispatchError = 'Variant method calls not supported';
  SReadAccess = 'Read';
  SWriteAccess = 'Write';
  SResultTooLong = 'Format result longer than 4096 characters';
  SFormatTooLong = 'Format string too long';
  SVarArrayCreate = 'Error creating variant array';
  SVarNotArray = 'Variant is not an array';
  SVarArrayBounds = 'Variant array index out of bounds';
  SExternalException = 'Exceo externa %x';
  SAssertionFailed = 'Assertion failed';
  SIntfCastError = 'Interface no suportada';
  SSafecallException = 'Exception in safecall method';
  SAssertError = '%s (%s, linha %d)';
  SAbstractError = 'Erro abstrato';
  SModuleAccessViolation = 'Violao de acesso no endereo %p do mdulo ''%s''. %s do endereo %p';
  SCannotReadPackageInfo = 'Cannot access package information for package ''%s''';
  sErrorLoadingPackage = 'Can''t load package %s.'#13#10'%s';
  SInvalidPackageFile = 'Invalid package file ''%s''';
  SInvalidPackageHandle = 'Invalid package handle';
  SDuplicatePackageUnit = 'Cannot load package ''%s.''  It contains unit ''%s,''' +
    ';which is also contained in package ''%s''';
  SWin32Error = 'Erro do Windows32.  Cdigo: %d.'#10'%s';
  SUnkWin32Error = 'Uma funo do Windows32 falhou';
  SNL = 'Aplio no licenciada para usar esta caracterstica';

  SShortMonthNameJan = 'Jan';
  SShortMonthNameFeb = 'Fev';
  SShortMonthNameMar = 'Mar';
  SShortMonthNameApr = 'Abr';
  SShortMonthNameMay = 'Mai';
  SShortMonthNameJun = 'Jun';
  SShortMonthNameJul = 'Jul';
  SShortMonthNameAug = 'Ago';
  SShortMonthNameSep = 'Set';
  SShortMonthNameOct = 'Out';
  SShortMonthNameNov = 'Nov';
  SShortMonthNameDec = 'Dez';

  SLongMonthNameJan = 'Janeiro';
  SLongMonthNameFeb = 'Fevereiro';
  SLongMonthNameMar = 'Maro';
  SLongMonthNameApr = 'Abril';
  SLongMonthNameMay = 'Maio';
  SLongMonthNameJun = 'Junho';
  SLongMonthNameJul = 'Julho';
  SLongMonthNameAug = 'Agosto';
  SLongMonthNameSep = 'Setembro';
  SLongMonthNameOct = 'Outubro';
  SLongMonthNameNov = 'Novembro';
  SLongMonthNameDec = 'Dezembro';

  SShortDayNameSun = 'Dom';
  SShortDayNameMon = 'Seg';
  SShortDayNameTue = 'Ter';
  SShortDayNameWed = 'Qua';
  SShortDayNameThu = 'Qui';
  SShortDayNameFri = 'Sex';
  SShortDayNameSat = 'Sb';

  SLongDayNameSun = 'Domingo';
  SLongDayNameMon = 'Segunda-feira';
  SLongDayNameTue = 'Tera-feira';
  SLongDayNameWed = 'Quarta-feira';
  SLongDayNameThu = 'Quinta-feira';
  SLongDayNameFri = 'Sexta-feira';
  SLongDayNameSat = 'Sbado';

implementation

end.